<?php 
declare(strict_types=0);
// session_start();
foreach($_GET  as $key => $value){${$key}=trim($value);} 
foreach($_POST as $key => $value){${$key}=trim($value);} 
include_once('lib_main.php');

if(!empty($empr)){$link_data=msql_connect('','','',$empr); $cfg_empr=$empr;}
$user_codigo=$_SESSION['user_codigo'];
$user0=data_maes('user',$user_codigo);
if(empty($user_codigo)){include('user_login0.php');return;}

// $tpos
// 1= prod o servicio unico     
// 2= punto/venta fecha auto enti nombre wsapp
// 3= registro venta fecha limites     
// 9= item varios

// echo '<meta http-equiv="refresh" content="5">';
// $clie=$enti;
// $enti='';

$modu=strtolower($modu);
// $docu=strtoupper($docu);
$tabla=$modu;

if(!empty($idnum1))
{
     $sql_docu='select * from '.$tabla.'1 left join '.$tabla.'2 on idnum1=idnum2 where idnum1="'.$idnum1.'" order by iddet desc limit 1';
     $res_docu=msql_query($sql_docu,$link_data);
     $data_docu=msql_fetch_assoc($res_docu);
     foreach($data_docu as $campo => $valor){${$campo}=trim($valor);} 
}

// if($tpos>=2)
// {
//      $ctas='';
//      $cant=0;
//      $puni=0;
// }

// if($tpos==9)
// {$ctas='9999999999';}

// $info='vtdeta';
// if(empty($ptoe) and $tpos<=2){$ptoe=$user0['user_ptov'];}
// if(empty($ptoe)){$ptoe = $user0['user_ptov'];}
// if(empty($ptoe)){$ptoe = $_COOKIE['ptoe'];}

if(empty($vndd)){$vndd=$user0['user_cedula'];}
if(empty($modu)){$modu='cont';}
// if(empty($format)){$format=1;}
// if(empty($tpos)){$tpos=2;}
// if(empty($tpre)){$tpre=2;}

if(empty($lpre))
{
//      $lpre='puni1';
//      if($cfg_empr=='imcp'){$lpre='puni3';}
}

if($tpos==3 and empty($ptoe))
{
     $fecha_vtas=date('Y-m-1',strtotime('-1 month'));
//      $sql_vtas='select distinct ptov from vtas1 where docu like "'.$docu.'%" and status not in("O","X") and fecha>="'.$fecha_vtas.'" order by idnum1 desc';
     $sql_vtas='select distinct ptov from '.$modu.'1 where docu like "'.$docu.'%" and status not in("O","X") and fecha>="'.$fecha_vtas.'" order by idnum1 desc';
     $res_vtas=msql_query($sql_vtas,$link_data);
//      if(msql_num_rows($res_vtas)>=1)
     {$xptoe=msql_result($res_vtas,0,'ptoe');}     
     if(!empty($xptoe))
     {$ptoe=$xptoe;}
}     

if(empty($ptoe))
{
     $sql_ptov='select * from '.$modu.'1 where iuser="'.$user_codigo.'" order by idnum1 desc limit 1';
     $res_ptov=msql_query($sql_ptov,$link_data);
     $ptoe=msql_result($res_ptov,0,'ptoe');
}


// if($format==1)
{$info='ttdet2';}
// if($format==2){$info=substr($modu,0,2).'deta';}
// if($format==3){$info=substr($modu,0,2).'blog';}

// if($tpos==1){$info=substr($modu,0,2).'det1';}
// if($tpos==2){$info=substr($modu,0,2).'det2';}
// if($tpos==3){$info=substr($modu,0,2).'det2';}

// if(empty($info)){$info='vtblog';}
// else{$info='vtdeta';}

$info_descri='CONTABILIDAD';

if($info=='ttblog'){$info_descri='LIBRO DIARIO';}

// if(empty($user0['user_tipo'])){$cost='false';}

if(!mb_stristr('sist.supe',$user0['user_tipo']))
{
//      $sql_acce='select * from acce1 left join acce2 on idnum1=idnum2 where numero='.$user_codigo.' and docum="COST" and info=1';
//      $res_acce=msql_query($sql_acce,$link_data);
//      if(msql_num_rows($res_acce)==0){$cost='false';}
}


if(empty($docu)){$docu='DD10';}
// if(empty($docu) and $modu=='clie'){$docu='PF10';}
// if(empty($docu)){$docu='FC10';}

$docu0=data_maes('docu',$docu);
$enti0=data_maes('enti',$enti);
$ctas0=data_maes('ctas',$ctas);
$csub0=data_maes('csub',$csub);
// $lsub0=data_maes('lsub',$lsub);
$ptoe0=data_maes('ptoe',$ptoe);
// $lote0=data_maes('lote',$lote);


// $sql_imgi='select * from item0 left join imgi0 on item_codigo=imgi_item where item_status not in ("I","X") and imgi_status not in("I","X") limit 1';
// $res_imgi=msql_query($sql_imgi,$link_data);
// if(msql_num_rows($res_imgi)!=0){$imgi_ok=1;}

// $sql_mrca='select * from mrca0 where mrca_status not in("I","X") limit 1';
// $res_mrca=msql_query($sql_mrca,$link_data);
// if(msql_num_rows($res_mrca)!=0){$mrca_ok=1;}

// $sql_lote='select * from lote0 where lote_status not in("I","X") limit 1';
// $res_lote=msql_query($sql_lote,$link_data);
// if(msql_num_rows($res_lote)!=0){$lote_ok=1;}



$xtitulo='CONTABILIDAD';
// if($modu=='cont'){$xtitulo='VENTAS';}
// if($modu=='clie'){$xtitulo='CLIENTES';}

// $xtitle='REG.'.$xtitulo;
// if($tpos==2){$xtitle='PTO. VENTA';}
$xtopcenter=$xtitle;
if(!empty($docu)){$xtitle.=' /'.$docu;}
if(!empty($numero)){$xtitle.='-'.$numero;}

$fecha0=fecha0($modu);
if(empty($fecha)){$fecha=date('Y-m-d');}

// $fecha_min=date('Y-m-01',strtotime('-2 month'));
$fecha_min=date('Y-m-01',strtotime('-150 days'));

// $fecha_max=date('Y-m-d');
$fecha_max=date('Y-m-d',strtotime('+180 days'));

// if ($cfg_empr=='imcp' and date('Y-m-d')<='2025-05-31'){$fecha_min='2025-01-01';}
// if ($cfg_empr=='imcp' and date('Y-m-d')<='2025-06-20'){$fecha_min='2025-01-01';}

// if($tpos==2)
// {
//      $fecha_min=date('Y-m-d');
//      $fecha_max=date('Y-m-d');
// }


// $dom = new DOMDocument();
//      $dom->encoding = 'utf-8';
//      $dom->xmlVersion = '1.0';
//      $dom->formatOutput = true;

// echo $dom->saveXML();


$idnum1='';
//  SELECT DB
// if($tpos==2 and !empty($ptoe) and !empty($numero))
// if($tpos!=0 and !empty($ptoe) and !empty($numero))
// if($tpos!=0 and !empty($docu)  and !empty($ptoe) and !empty($numero))
if(!empty($docu) and !empty($ptoe) and !empty($numero))
{
     include('sele_info.php');
}

if(!empty($sql_info))
{
     $sql_info1=$sql_info;
     $sql_info1=str_replace('group by idnum1,iddet','group by idnum1',$sql_info1);
     $sql_info1=str_replace('group by idnum1,iddet','group by idnum1',$sql_info1);
     $res_info1=msql_query($sql_info1,$link_data);
     
//      echo '*/*/*'.$sql_info1;
     
     $total=msql_result($res_info1,0,'total');
     $tdebito=msql_result($res_info1,0,'debito');
     $tcredito=msql_result($res_info1,0,'credito');
     
     $claveacc=msql_result($res_info1,0,'claveacc_hide');
     $iuser=msql_result($res_info1,0,'iuser_hide');
     
     if(msql_num_rows($res_info1)!=0)
     {
          $tdebito=number_format($tdebito,2);
          $tcredito=number_format($tcredito,2);
          $total=number_format($total,2);
          $tdifer=$tdebito-$tcredito;
     }
     
     $res_info=msql_query($sql_info,$link_data);
     
//      echo '/*/*/*/*'.$sql_info;

     if(!empty($numero))
     {
          $idnum1=msql_result($res_info,0,'idnum1_hide');
//           echo '*/*/*/*'.$idnum1;
          $edit=msql_result($res_info,0,'b_o');
//           echo '*/*/*'.$edit;
//           $edit=1;
          $data_head=data_docu($docu,$idnum1);
          foreach($data_head as $key => $value){${$key}=trim($value);} 

     }

}



if(empty($numero))
{
//      $dcto=0;
     $total=0;
     $tdebito=0;
     $tcredito=0;
     
//      $efectivo=0;
//      $tarjeta=0;
//      $credito=0;
//      $cambio=0;

//      $nombre='';
//      $email='';
//      $wsapp='';
     
}

// datalist
// echo '*/*/*'.$ptoe;
// $ptoe='';

// if(!empty($ptoe))
{
     
$ztabla='ctas';
include('ele_datalist.php');

$ztabla='csub';
include('ele_datalist.php');


$ztabla='enti';
// {$zwhere='(left(enti_codigo,10) in(select distinct left(enti,10) from vtas1) or left(enti_codigo,10) in(select distinct left(enti,10) from clie1))';}
include('ele_datalist.php');

     
// $fec_vndd=date('Y-m-01',strtotime('-3 month'));
// $zid='dlvndd';     
// $ztabla='enti';
// $zwhere='(left(enti_codigo,10) in(select distinct left(vndd,10) from vtas1 where fecha>="'.$fec_vndd.'") or left(enti_codigo,10) in(select distinct left(vndd,10) from clie1  where fecha>="'.$fec_vndd.'"))';
// include('ele_datalist.php');

              
// $ztabla='ctas';
// $zlpre='pvp1';     
// $zstockv=1;     
// $zwhere='(left(item_codigo,2)!="99")';
// include('ele_datalist.php');

     
     
     
// $ztabla='lote';
// include('ele_datalist.php');
     
// $ztabla='vhcl';
// include('ele_datalist.php');
     
$ztabla='docu';
$zwhere='(docu_tabla="'.$modu.'")';
include('ele_datalist.php');

// echo '<datalist id="dlpuni"></datalist>';
// echo '<datalist id="dlpvp"></datalist>';
// echo '<datalist id="dldcto"></datalist>';

}


// PANTALLA FILTROS
// echo '<div id="filtros" noprint >';
echo '<div id="filtros"  >';
{
     
// OCULTOS
echo '<div hide>';   
{
echo '<input id="modu" value="'.$modu.'">';
echo '<input id="info" value="'.$info.'">';
// echo '<input id="tpos" value="'.$tpos.'">';
// echo '<input id="tpre" value="'.$tpre.'">';
echo '<input id="idnum1" value="'.$idnum1.'">';
echo '<input id="stfin" value="'.$stfin.'">';
}     
echo '</div>';     
     
     
$zobj=2;     
include('ele_break.php');
     
$zid='btn_nuevo'; 
$zlabel='Nuevo';
$zalign='right';
$zonclick='{fn_nuevo();}';
$zsize=1.5;     
include('ele_button.php');
     
     
         
$zid='fecha';
$ztype='date';
$zlabel='Fecha';
$zvalue=$fecha;
// $zvalue=$data_docu[$zid];
$zmin=$fecha_min;     
$zmax=$fecha_max;     
// if($tpos==1){$zhide=1;}
// if($tpos==2){$zhide=1;}
// $zreado=2;     
include('ele_input.php');  
     
     
     
$zid='docu';
$zlabel='Docum.';
$zvalue=$docu;
$ztabla='docu';
$zwhere='(docu_tabla="'.$modu.'")';
$zexact=1;     
// if(!empty($docu)){$zreado=2;}
// $zonblur='{location.href="?scri='.basename(__FILE__,'.php').'&tpos="+document.getElementById("tpos").value+"&docu="+document.getElementById("docu").value+"&ptov="+document.getElementById("ptov").value;}';
// $zonblur='{location.href="?scri='.basename(__FILE__,'.php').'&tpos="+document.getElementById("tpos").value+"&docu="+document.getElementById("docu").value+"&ptov="+document.getElementById("ptov").value+"&modu="+document.getElementById("modu").value;}';
// $zonblur='{fn_consulta(event);}';
// $zonchange=$zonblur;
// if($tpos<=2){$zobj=1;}     
// if($tpos<=2){$zreado=1;}     
// if($tpos<=2){$zlist='nolist';}     
include('ele_select.php');
     
$ptoe='001001';     
$zid='ptoe';
// $ztabla='ptoe';
$zlabel='Pto.Emi.';
$zvalue='001001';
$zreado=1;     
$zhide=1;     
// include('ele_select.php');
include('ele_input.php');


if($tpos==1){$zobj=1;}     
$zid='numero';
// $zlabel='Numero';
$zlabel='№';
$zvalue=$numero;
$zvalue=(int)$numero;
// $zmin=1;
// $zmax=9999999;     
$zclass='numeric-int';
$zreado=2;     
$zondblclick='{document.getElementById("'.$zid.'").style.width="'.round(7*2/3,2).'em";}';     
// $zonblur='{if(document.getElementById("'.$zid.'").getAttribute("disabled")!=""){document.getElementById("idnum1").value="";fn_consulta();}}';
$zonblur='{if(document.getElementById("'.$zid.'").getAttribute("disabled")!=""){document.getElementById("idnum1").value="";}}';
$zonchange='{fn_consulta(event);}';
$zbackcolor='grey';
$zfontcolor='white';
$zsize=1.2;     
include('ele_input.php');
     
// $zid='btn_envia'; 
// $zsize=1.5;
// $zalign='right';
// $zlabel='✆';     
// $ztitle='Enviar WhatsApp';     
// $zbackcolor='lightgreen';
// if(!empty($numero))
// {
//      if($tpos!=3)
//      {$zonclick='{send_wsapp(document.getElementById("wsapp").value);}';}
//      if($tpos==3)
//      {$zonclick='{send_wsapp();}';}
// }
// if(empty($claveacc)){$zonclick='{location.reload();';}
// if(empty($numero)){$zhide=1;}  
// include('ele_button.php');
     
     
$zid='btn_print'; 
$zsize=1.5;     
$zalign='right';
$zlabel='Imprimir';
$href='?scri=info_docu3&prnt=1&docu='.$docu.'&idnum='.$idnum1.'&formato=';  
$zonclick='{print_url("'.$href.'");}';
if(mb_stristr('hg01',$cfg_empr)){$href.='&destino=txt';}
if(mb_stristr('anml',$cfg_empr)){$href.='&pgsize=P';}
if(empty($idnum1)){$zhide=1;}     
include('ele_button.php');

     
$zid='btn_final'; 
$zlabel='Finalizar';
$zalign='right';
$zonclick='{fn_finalizar();}';
if(!empty($numero) and empty($edit)){$zhide=1;}     
if(empty($numero)){$zhide=1;}     
if($stfin==1){$zhide=1;}    
$zhide=1;     
$zsize=0.8;     
include('ele_button.php');
     
$zid='btn_consul'; 
$zlabel='Consultar';
$zalign='right';
$zonclick='{fn_consulta(event);}';
$zhide=1;     
include('ele_button.php');

echo '<span style="float:right; white-space:nowrap;">';     
// echo $msgres;
echo '</span>';     

     
     
if(!empty($ptoe))
{
     
$zobj=1;     
include('ele_break.php');

     
//if(@mb_stristr('cont',$modu))
{
//     $zobj=1;
//     include('ele_break.php');

//      $zid='vndd';
//      $ztabla='enti';
//      $zlabel='Vendedor';
//      $zvalue=$vndd;
//      $zlist='dlvndd';
//      $zalign='right';
//      if($tpos==1){$zobj=1;$zreado=1;$zhide=0;}
//      if($tpos==2){$zreado=2;$zobj=6;}
//      if($tpos==3){$zreado=0;$zobj=6;}
//      if($tpos!=1){$zdefa=$vndd;}
//      include('ele_input.php');
     
     
     
     $zid='enti';
     $zlabel='Entidad';
     $zvalue=$enti;
     if(empty($zvalue)){$zvalue='9999999999999';}
     $ztabla='enti';
     include('ele_input.php');

//      if(substr($docu,0,2)=='NC')
//      {
          
//      $zid='dl_docum';     
//      $ztabla='docu';
//      $zwhere='(docu_tabla="vtas" and left(docu_codigo,1)="F" and docu_status not in ("I","X"))';
//      include('ele_datalist.php');
         
//      $zid='dl_ptoem';     
//      $ztabla='ptoe';
//      $zwhere='(ptov_status not in ("I","X"))';
//      include('ele_datalist.php');
         
//      $zid='dl_numer';     
//      $ztabla='cont';
//      $zcolu='numero';
//      $zcolu2='numero';
//      $fecha1=date('Y-m-1',strtotime('-12 month'));
//      $zwhere='(fecha>="'.$fecha1.'")';
//      include('ele_datalist.php');

          
          
          
          
//      $zobj=2;     
//      $zid='todocu';
//      $zlabel='Modifica';
//      $zdefa='FC10';          
//      $zvalue=$docum;
//      $ztabla='docu';
//      $zlist='dl_docum';     
//      $zwhere='(docu_tabla="vtas" and left(docu_codigo,1)="F" and docu_status not in ("I","X"))';
//      include('ele_select.php');
          
//      $zobj=1;     
//      $zid='toptoe';
//      $zlabel='Pto.Emi';
//      $zdefa='';     
//      $zvalue=$toptoe;
//      $ztabla='ptoe';
//      $zlist='dl_ptoem';     
//      $zwhere='(ptov_status not in ("I","X"))';
//      include('ele_select.php');
          
//      $zobj=1;     
//      $zid='tonume';
//      $zlabel='Número';
//      $zvalue=$tonume;
//      $zlist='dl_numer';     
//      $zclass='numeric-int';
//      include('ele_input.php');
          
//      }

     
     
     
//      $zid='lpre'; 
//      $zvalue=$lpre;
//      $zlabel='Lista'; 
//      $zonchange='{buscar_item(event);}';
//      $zoptions='puni1,Precio 1;puni2,Precio 2;puni3,Precio 3;puni4,Precio 4;puni5,Precio 5;';
//      $zhide=1;
//      include('ele_select.php');
     
     $zobj=1;
     include('ele_break.php');
     
     if($tpos==2)
     {
//      $zid='nombre';
//      $zlabel='Nombre';
//      $zvalue=$nombre;
//      $zsize=0.9;
//      include('ele_input.php');
     
//      $zid='email';
//      $zlabel='e-mail';
//      $zvalue=$email;
//      $zsize=0.9;
//      include('ele_input.php');
     }

     if($tpos!=3)
     {
//      $zid='wsapp';
//      $zlabel='wsapp';
//      $zvalue=$wsapp;
//      $ztype='number';
//      $zsize=0.9;
//      if(!empty($numero))
//      {$zonclick='{send_wsapp(document.getElementById("wsapp").value);}';}
//      include('ele_input.php');
     }          
     
     
//      if($tpos==3)
     {
          
     $zid='concepto';
     $zlabel='Concepto';
     $zvalue=$concepto;
//      $zreado=2;
//      $zsize=0.9;
     $zwidth=25;
     $zrows=2;
     include('ele_input.php');

                    
     }
          
//  echo '*/*/*'.$total;

//      $zalign='right';
//      $zid='total';
//      $zlabel='Total';
//      $zvalue='💲 '.$total;
//      $zwidth=7;
//      $zsize=1.5;
//      $zreado=1;
//      include('ele_input.php');


//      if($tdebito(*1)-$tcredito(*1)!=0)
//      if($tdebito-$tcredito!=0)
     if($tdifer*1!=0)     
     {
     $zobj=4;     
     $zalign='right';
     $zlabel='Diferencia';
     $zvalue='💲 '.abs($tdifer);
     $zwidth=7;
     $zreado=1;
     $zcolor='red';
     include('ele_input.php');
     }
     

     $zobj=4;     
     $zalign='right';
     $zlabel='Crédito';
     $zvalue='💲 '.$tcredito;
     $zwidth=7;
     $zreado=1;
     include('ele_input.php');
     
     
     $zobj=4;     
     $zalign='right';
     $zlabel='Débito';
     $zvalue='💲 '.$tdebito;
     $zwidth=7;
     $zreado=1;
     include('ele_input.php');



     
          

     $zobj=2;
     include('ele_break.php');

     
// echo '*/*/*'.$ptoe;
     //820
     
// and !empty($edit)
     
if(!empty($ptoe) )
{
     
     $zobj=4;
     $zid='ctas';
     $zlabel='Cta. Contable';
     $zvalue=$ctas;
     $ztabla='ctas';
     $zopen=0;
     $zonchange='calc_subtot();';
     $zonblur=$zonchange;
     if($tpos==1){$zvalue='';}
     if($tpos==1)
     {$zonchange='if(this.value.length==13){document.getElementById("puni").value=0;save_docu(event);};';}
//      {$zonchange='if(this.value.length==13){save_docu(event);};';}
     if($tpos==9){$zhide=1;}
     include('ele_input.php');
     
//      $zobj=4;
//      $zid='producto';
//      $zlabel='Prod/Serv';
//      $zvalue=$producto;
// //      $zwidth=15;
//      include('ele_input.php');
     
     
// echo '*/*/*'.$tdifer;
//      if($cost=='true')
     {
     $zobj=4;
     $zid='debito';
     $zlabel='Débito';
     if($tdifer<0){$zvalue=abs($tdifer);}
     $zmin=0;
     $zmax=999999.99;
     $zclass='numeric-dec';
     $zonchange='calc_subtot();';
     $zonblur='calc_subtot();';
     include('ele_input.php');
          
     $zobj=4;
     $zid='credito';
     $zlabel='Crédito';
     if($tdifer>0){$zvalue=abs($tdifer);}
     $zmin=0;
     $zmax=999999.99;
     $zclass='numeric-dec';
     $zonchange='calc_subtot();';
     $zonblur='calc_subtot();';
     include('ele_input.php');
          
     }


     $cant=1;
     $zobj=4;
     $zid='cant';
     $zlabel='Cant.';
     $zvalue=(float)$cant;
     $zdefa=1;
     $zmax=9999999;
     $zmin=$zmax*(-1);
//      $zmaxlen=7;
     $zwidth=5;
     $zclass='numeric-dec';
//      $zonchange='calc_subtot();';
//      $zonblur='calc_subtot();';
     $zhide=1;
     include('ele_input.php');

     
     
     
     $zobj=4;
     $zid='csub';
     $ztabla='csub';
     $zlabel='C.Costo';
     $zvalue=$csub;
     $ztabla='csub';
     include('ele_input.php');
     
     
     
     
}
          

     
// echo '==='.$numero;
// echo '==='.$edit;
     
$zid='btn_grabar'; 
$zlabel='Grabar';
$zalign='right';
$zonclick='{save_docu(event);}';
// $zonclick='{save_docu(event);vali_docu(event);}';
$zsize=1.5;
if(!empty($numero) and empty($edit)){$zhide=1;}  
// if($format==3){$zhide=0;}
if($tdifer!=0){$zhide=0;}     
include('ele_button.php');
     

     
$zid='btn_deleall'; 
$zlabel='Borrar';
$zalign='right';
$zonclick='{fn_deledeta(event);}';
//$zsize=1.5;
$zbackcolor='darkred';
$zfontcolor='white';     
if(!empty($numero) and empty($edit)){$zhide=1;}       
$zhide=1;     
include('ele_button.php');
     

// $zobj=1;     
// include('ele_break.php');

if($tpos==9)
{
     $zid='dl_detalle';
     $zdocu=$docu;
     $zcolu='detalle';
     include('ele_datalist.php');
}
     
     
$zobj=4;
$zid='detalle';
$zlabel='Notas';
$zwidth=25;    
$zrows=2;     
$zvalue=$detalle;
include('ele_input.php');
     
     
}

     
    
     

$zobj=2;     
include('ele_break.php');

}
     
// TITULO     
     
     

}     
// include('ele_break.php');

// echo '*/*/*/'.$_COOKIE['oscreen'];



// RESULTADO
$sty_resu='float:right;';
$sty_resu='margin:0 auto;';
echo '<span id="main2" style="'.$sty_resu.'"  >';
if(gettype($res_info)!='NULL')
{
     $zreso=$res_info;
     $zinfo=$info;
     $zname=$zname;
     $zhead=0;
     $zgfsize=0.9;
//           $zblockrows=3;
     $zheightrow='2';
     $zblockidnum=1;
     $zhidebtns=1;
//           $zwidthtable='80%';
     include('ele_grid.php');     

//           if($info=='vtblog')
//           {if($idx<msql_num_rows($res_krdx)){echo '<div id="pgbreak" style="height:2em;"></div>';}}

}
echo '</span>';     


echo '</div>';


echo '<div style="height:1em;"></div>';     


$zobj=2;     
include('ele_break.php');



echo '<div align="center" height="auto" id="divextra1" unselectable="on" onmousedown="return false;" onselectstart="return false;">';
echo '</div>';

echo '<div style="clear:both;">&#127380; : '.$idnum1.'</div>';
// echo 'CA:'.$data_head['claveacc'];
     


?>


<script>
function fn_consulta(event)
{
     var xhref='',dataget;
     xhref=xhref+'?scri=<?php echo basename(__FILE__,'.php');?>';
     
     dataget=new_FormData('filtros','get');
     xhref=xhref+dataget;
     
     document.getElementById("main2").innerHTML='Espere...';
     location.href=xhref;
}
</script>

<script>
function fn_nuevo(event)
{
     var enti;
     swal.fire({
          icon:'warning',
          title:'Nuevo Documento',
          text:'Continuar ?',
          confirmButtonText:'Nuevo',
          confirmButtonColor:color1,
          focusCancel:true,
          showCancelButton:true,
          cancelButtonColor: 'darkred',
          timer:60000
     }).then((result) => 
          {
               if(result.isConfirmed)
               {
                    document.getElementById("fecha").value="";
                    document.getElementById("numero").value="";
                    document.getElementById("idnum1").value="";
                    enti=document.getElementById("enti").value;
     //                if(enti.indexOf("9999999999")<0)
                    {document.getElementById("enti").value="";}
                    fn_consulta(event);
               }
          })
}     
     
</script>


<script>
function fn_deledeta(event)
{
     anul_docu(document.getElementById('docu').value,document.getElementById('idnum1').value,'ALL');
     //fn_consulta(event);
     return;
}          
</script>

<script>
function fn_finalizar(event)
{
     swal.fire({
          icon:'warning',
          title:'Finalizar Documento',
          text:'Continuar ?',
          confirmButtonText:'Finalizar',
          confirmButtonColor:color1,
          focusCancel:true,
          showCancelButton:true,
          cancelButtonColor: 'darkred',
          timer:10000
     }).then((result) => 
          {
               if(result.isConfirmed)
               {
               document.getElementById("stfin").value="1";
               save_docu(event);
               }
          })
}
</script>

<script>
function calc_subtot(event)
{
     var debito,credito,cant,total;
     
     if(document.getElementById("debito")){debito=document.getElementById("debito").value ||0;}
     if(document.getElementById("credito")){credito=document.getElementById("credito").value ||0;}
     
     if(document.getElementById("total")){total=document.getElementById("total").value ||0;}
     
     cant=debito-credito;     

     if(document.getElementById("cant")){document.getElementById("cant").value=parseFloat(cant);}
     

}
</script>

<script>document.title="<?php echo $xtitle;?>"</script>
<script>document.getElementById('topcenter').innerHTML="<?php echo $xtopcenter;?>"</script>
<script>calc_subtot()</script>




<script>document.getElementById('enti').focus();</script>

<?php if(!empty($idnum1)){ ?>
<script>document.getElementById('ctas').focus();</script>
<?php } ?>


<!-- <script>set_noback();</script> -->
<!-- <script>window.onbeforeunload = function(){return 'Are you sure you want to leave?';};</script> -->

